Bug 172994 - Review Request: pork - Console based AIM client
Review Request: pork - Console based AIM client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://dev.ojnk.net
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-11 16:43 EST by Luke Macken
Modified: 2016-09-19 22:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-14 20:01:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2005-11-11 16:43:44 EST
Spec Name or Url: http://people.redhat.com/lmacken/pork.spec
SRPM Name or Url: http://people.redhat.com/lmacken/pork-0.99.8.1-1.src.rpm
Description:

pork is an ncurses-based AOL instant messenger client. It uses the
OSCAR protocol (the one the windows client uses) to access AIM. Pork
features Perl scripting; an online help system; the ability to
configure nearly all aspects of the program's look-and-feel; an alias
system; and a powerful, fully-configurable key binding system. It
supports being logged in with more than one screen name at the same
time. The default look-and-feel of the client is modeled after the
ircII IRC client. Anyone comfortable using ircII (or any clients
derived from it -- e.g., epic, BitchX, etc.) will feel comfortable using
pork.
Comment 1 Aurelien Bompard 2005-11-12 09:29:37 EST
* Use http://dl.sourceforge.net as the server for the Source tag, it allows
direct download

* Own the %{_datadir}/%{name} directory

* Build fails in mock :
/usr/bin/install -D -p -m 0755 doc/pork.1
/var/tmp/pork-0.99.8.1-1-root-mockbuild/usr/share/man/man1/
/usr/bin/install: cannot overwrite directory
`/var/tmp/pork-0.99.8.1-1-root-mockbuild/usr/share/man/man1/' with non-directory
Comment 2 Luke Macken 2005-11-13 20:00:24 EST
Updated; builds clean in mock for me.

http://people.redhat.com/lmacken/pork-0.99.8.1-2.src.rpm
http://people.redhat.com/lmacken/pork.spec
Comment 3 Aurelien Bompard 2005-11-14 14:31:13 EST
One last thing : please include the text of the license in %doc (at least). For
example, you could add to the %files section the following line:
%doc COPYING NEWS TODO CONTRIBUTERS STYLE README AUTHORS
QUICK_START is already packaged in /usr/share/pork, and ChangeLog is empty for
the moment.
Comment 4 Luke Macken 2005-11-14 16:26:27 EST
Woops.. definitely forgot the documentation.  Fixed.

http://people.redhat.com/lmacken/pork-0.99.8.1-3.src.rpm
http://people.redhat.com/lmacken/pork.spec
Comment 5 Aurelien Bompard 2005-11-14 17:22:11 EST
> Woops.. definitely forgot the documentation.

That's what the review process is for :)

Review for release 3:
* RPM name is OK
* Source pork-0.99.8.1.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* File list of pork looks OK
* Works fine
APPROVED
Comment 6 Luke Macken 2005-11-14 20:01:50 EST
Imported.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.